| Home | Libraries | People | FAQ | More

##### metadata::is_unique_key

Returns `true` if the column is part of a `UNIQUE KEY` (but not a `PRIMARY KEY`).

###### Synopsis

    bool
    is_unique_key() const;

###### Exception safety

No-throw guarantee.

Copyright © 2019-2023 Ruben Perez

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)